/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.ars.ars.
 * 
 * de.bsvrz.ars.ars is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package de.bsvrz.ars.ars.backup;

/**
 * Diese Klasse kapselt Exceptions, die in den Methoden eines BackupModuls auftreten koennen.
 *
 * @author beck et al. projects GmbH
 * @author Christian Wied
 * @version $Revision: 8331 $ / $Date: 2010-11-17 09:35:55 +0100 (Wed, 17 Nov 2010) $ / ($Author: jh $)
 */
public class BackupException extends Exception {

	private static final long serialVersionUID = 1L;

	public BackupException(String msg) {
		super(msg);
	}

	public BackupException(Throwable cause) {
		super(cause);
	}

	public BackupException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public BackupException() {
		super();
	}
}
